VkDescriptorPoolCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkDescriptorPoolCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkDescriptorPoolCreateFlags | flags
uint32_t | maxSets
uint32_t | poolSizeCount
const VkDescriptorPoolSize * | pPoolSizes

## Detailed Description

Definition at line 2187 of file vulkan.h.

## Field Documentation

## flags

VkDescriptorPoolCreateFlags VkDescriptorPoolCreateInfo::flags

Definition at line 2190 of file vulkan.h.

## maxSets

uint32_t VkDescriptorPoolCreateInfo::maxSets

Definition at line 2191 of file vulkan.h.

## pNext

const void* VkDescriptorPoolCreateInfo::pNext

Definition at line 2189 of file vulkan.h.

## poolSizeCount

uint32_t VkDescriptorPoolCreateInfo::poolSizeCount

Definition at line 2192 of file vulkan.h.

## pPoolSizes

const VkDescriptorPoolSize* VkDescriptorPoolCreateInfo::pPoolSizes

Definition at line 2193 of file vulkan.h.

## sType

VkStructureType VkDescriptorPoolCreateInfo::sType

Definition at line 2188 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h